Subject: Re: [bug#28726] [PATCH] Update python-sqlparse and fix some dependent packages

From: Christopher Baines <[email-masked]>
Date: Fri, 24 Nov 2017 22:23:57 +0000

Christopher Baines writes:

> I tried to update python-sqlparse, but it turns out that quite a few of
> the dependant packages were broken already.
>
> I've managed to fix all but one of them. The python-django-mailman3
> package still fails to build, I think because it (or at least the
> testsuite) is not compatible with python 3.
>
> Christopher Baines (5):
>   gnu: django: Fix the build for python-django-gravatar2.
>   gnu: django: Fix building python-django-allauth.
>   gnu: django: Fix building python2-django-mailman3.
>   gnu: python: Disable tests for python-graphene.
>   gnu: python: Update python-sqlparse.
>
>  gnu/packages/django.scm | 54 ++++++++++++++++++++++++++++++++++++++++++++++---
>  gnu/packages/mail.scm   | 11 ++++++++++
>  gnu/packages/python.scm |  7 +++++--
>  3 files changed, 67 insertions(+), 5 deletions(-)

So, I left this for so long that the update I was trying to do was done
by someone else (in [1]), which is fine, but there was still some stuff
to finish off here.

As above, some of the dependant packages were broken already. I've
checked this just now, and pushed a couple of the patches that were
being tracked in this bug, the python-django-allauth fix, and the
removal of python-django-mailman3.

I've left the python-django-gravatar2 fix for now, as there were some
open questions about the change in source from PyPI.

1: 8d688cd27f267f4d143d0f20ed3c352188151302